package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.ssm.manage.utils.DateUtils;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;

/**
 * (ClockServic)实体类
 *
 * @author makejava
 * @since 2022-04-14 16:17:55
 */
@Table(name = "clock_service")
public class ClockService implements Serializable {
    /**
     * id
     */
    @Id
    private Long id;
    /**
     * 房间id
     */
    @Column(name = "room_id")
    private Long roomId;
    /**
     * 房间编码
     */
    @Column(name = "room_num")
    private String roomNum;
    /**
     * 房间名称
     */
    @Column(name = "room_name")
    private String roomName;
    /**
     * 房间手牌(床位)id
     */
    @Column(name = "room_hand_id")
    private Long roomHandId;
    /**
     * 服务开始时间（上钟）
     */
    @Column(name = "service_start_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date serviceStartDate;
    /**
     * 是否会员 1：是；0：否
     */
    @Column(name = "cash_number")
    private Integer cashNumber;
    /**
     * 会员编码
     */
    @Column(name = "member_id")
    private Long memberId;
    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;
    /**
     * 会员手机号
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;
    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;
    /**
     * 会员卡
     */
    @Column(name = "card")
    private String card;
    /**
     * 项目编码
     */
    @Column(name = "project_id")
    private Long projectId;
    /**
     * 项目名称
     */
    @Column(name = "project_name")
    private String projectName;
    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 散客价
     */
    @Column(name = "price")
    private BigDecimal price;
    /**
     * 散客最低价
     */
    @Column(name = "minumum_price")
    private BigDecimal minumumPrice;
    /**
     * 会员价
     */
    @Column(name = "price_member")
    private BigDecimal priceMember;
    /**
     * 会员最低价
     */
    @Column(name = "minumum_price_member")
    private BigDecimal minumumPriceMember;
    /**
     * 项目成交单价
     */
    @Column(name = "transaction_price")
    private BigDecimal transactionPrice;
    /**
     * 次数
     */
    @Column(name = "number_times")
    private Integer numberTimes;
    /**
     * 服务金额=项目成交单价*次数
     */
    @Column(name = "amount")
    private BigDecimal amount;
    /**
     * 现付金额
     */
    @Column(name = "collection_cash_amount")
    private BigDecimal collectionCashAmount;
    /**
     * 积分金额
     */
    @Column(name = "collection_integral_amount")
    private BigDecimal collectionIntegralAmount;
    /**
     * 使用积分
     */
    @Column(name = "integral")
    private Integer integral;
    /**
     * 消费赠送积分
     */
    @Column(name = "give_integral")
    private Integer giveIntegral;
    /**
     * 卡付金额
     */
    @Column(name = "collection_recharge_amount")
    private BigDecimal collectionRechargeAmount;
    /**
     * 赠品支付
     */
    @Column(name = "collection_gift_amount")
    private BigDecimal collectionGiftAmount;
    /**
     * 实收总额
     */
    @Column(name = "cash_amount")
    private BigDecimal cashAmount;
    /**
     * 大工现付业绩标准
     */
    @Column(name = "achievement_large")
    private BigDecimal achievementLarge;
    /**
     * 中工现付业绩标准
     */
    @Column(name = "achievement_zhonggong")
    private BigDecimal achievementZhonggong;
    /**
     * 技师现付业绩标准
     */
    @Column(name = "achievement_technician")
    private BigDecimal achievementTechnician;
    /**
     * 助理现付业绩标准
     */
    @Column(name = "achievement_small")
    private BigDecimal achievementSmall;
    /**
     * 大工现付提成标准
     */
    @Column(name = "commission_large")
    private BigDecimal commissionLarge;
    /**
     * 中工现付提成标准
     */
    @Column(name = "commission_zhonggong")
    private BigDecimal commissionZhonggong;
    /**
     * 技师现付提成标准
     */
    @Column(name = "commission_technician")
    private BigDecimal commissionTechnician;
    /**
     * 助理现付提成标准
     */
    @Column(name = "commission_small")
    private BigDecimal commissionSmall;
    /**
     * 卡付大工业绩标准
     */
    @Column(name = "card_achievement_large")
    private BigDecimal cardAchievementLarge;
    /**
     * 卡付中工业绩标准
     */
    @Column(name = "card_achievement_zhonggong")
    private BigDecimal cardAchievementZhonggong;
    /**
     * 卡付技师业绩标准
     */
    @Column(name = "card_achievement_technician")
    private BigDecimal cardAchievementTechnician;
    /**
     * 卡付助理业绩标准
     */
    @Column(name = "card_achievement_small")
    private BigDecimal cardAchievementSmall;
    /**
     * 卡付大工提成标准
     */
    @Column(name = "card_commission_large")
    private BigDecimal cardCommissionLarge;
    /**
     * 卡付中工提成标准
     */
    @Column(name = "card_commission_zhonggong")
    private BigDecimal cardCommissionZhonggong;
    /**
     * 卡付技师提成标准
     */
    @Column(name = "card_commission_technician")
    private BigDecimal cardCommissionTechnician;
    /**
     * 卡付助理提成标准
     */
    @Column(name = "card_commission_small")
    private BigDecimal cardCommissionSmall;
    /**
     * 技师1水牌号
     */
    @Column(name = "technician_one_number")
    private String technicianOneNumber;
    /**
     * 技师1编码（来源于员工档案）
     */
    @Column(name = "service_technician_one_staff_id")
    private Long serviceTechnicianOneStaffId;
    /**
     * 技师1名称（来源于员工档案）
     */
    @Column(name = "service_technician_one_staff_name")
    private String serviceTechnicianOneStaffName;
    /**
     * 技师1身份证号（来源于员工档案）
     */
    @Column(name = "service_technician_one_identity_card")
    private String serviceTechnicianOneIdentityCard;
    /**
     * 技师1业绩
     */
    @Column(name = "service_technician_one_achievement_amount")
    private BigDecimal serviceTechnicianOneAchievementAmount;
    /**
     * 技师1提成
     */
    @Column(name = "service_technician_one_commission_amount")
    private BigDecimal serviceTechnicianOneCommissionAmount;
    /**
     * 技师1占比
     */
    @Column(name = "service_technician_one_ratio")
    private BigDecimal serviceTechnicianOneRatio;
    /**
     * 赠送支付金额
     */
    @Column(name = "payment_amount")
    private BigDecimal paymentAmount;
    /**
     * 结算编码
     */
    @Column(name = "settlement_num")
    private String settlementNum;
    /**
     * 结算id
     */
    @Column(name = "settlement_id")
    private Long settlementId;
    /**
     * 状态：0=正常，1=作废
     */
    @Column(name = "state")
    private Integer state;
//    /**
//     * 手牌序号
//     */
//    @Column(name = "order")
//    private Integer order;
    /**
     * 服务结束时间（下钟）
     */
    @Column(name = "service_end_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date serviceEndDate;
    /**
     * 服务时长（时分秒）
     */
    @Column(name = "servicing_time")
    private String servicingTime;

    /**
     * 服务时长（时分秒）
     */
    @Column(name = "practical_servicing_time")
    private String practicalServicingTime;
    /**
     * 录单人ID
     */
    @Column(name = "input_id")
    private Long inputId;
    /**
     * 录单人名称
     */
    @Column(name = "input_by")
    private String inputBy;
    /**
     * 录单时间
     */
    @Column(name = "input_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inputDate;
    /**
     * 修改人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 修改人名称
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 修改时间
     */
    @Column(name = "update_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateDate;

    /**
     * 单据时间
     */
    @Column(name = "doc_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date docDate;

    /**
     * 加钟（0=正常，1=加钟）
     */
    @Column(name = "renew")
    private Integer renew;

    /**
     * 会员消费是否打折
     */
    @Column(name = "no_discount")
    private Integer noDiscount;
    /**
     * 会员消费是否打折
     */
    @Column(name = "course_account_id")
    private Long courseAccountId;

    /**
     * 单据状态
     */
    @Column(name = "doc_state")
    private Integer docState;
    /**
     * 加钟固定时间：分钟（取整）
     */
    @Column(name = "overtime")
    private Integer overtime;
    /**
     * 加钟固定金额：金额
     */
    @Column(name = "overtime_money")
    private BigDecimal overtimeMoney;

    /**
     * 项目编码
     */
    @Column(name = "project_num")
    private String projectNum;

    /**
     * 手牌编码
     */
    @Column(name = "room_hand_num")
    private String roomHandNum;



    /**
     * 职务：1:店长/2:美发经理/3:美容经理/4:总监/51~59:美发师1级到9级/6:员工
     */
    @Column(name = "grade")
    private Integer grade;

    /**
     * 推销人员工编码
     */
    @Column(name = "staff_num")
    private String staffNum;

    /**
     * 推销人员工名称
     */
    @Column(name = "staff_name")
    private String staffName;
    /**
     * 推销人员工水牌号
     */
    @Column(name = "brand_number")
    private String brandNumber;

    /**
     * 推销人员工Id
     */
    @Column(name = "staff_id")
    private Long staffId;

    /**
     * 数据性质，0=项目，1=商品
     */
    @Column(name = "project_nature")
    private Integer projectNature;


    /**
     * 推销提成点
     */
    @Column(name = "card_market_comm")
    private BigDecimal cardMarketComm;


    /**
     * 点钟提成点
     */
    @Column(name = "card_clock_comm")
    private BigDecimal cardClockComm;


    /**
     * 轮钟提成
     */
    @Column(name = "card_Round_clock_comm")
    private BigDecimal cardRoundClockComm;

    public BigDecimal getCardMarketComm() {
        return cardMarketComm;
    }

    public void setCardMarketComm(BigDecimal cardMarketComm) {
        this.cardMarketComm = cardMarketComm;
    }

    public BigDecimal getCardClockComm() {
        return cardClockComm;
    }

    public void setCardClockComm(BigDecimal cardClockComm) {
        this.cardClockComm = cardClockComm;
    }

    public BigDecimal getCardRoundClockComm() {
        return cardRoundClockComm;
    }

    public void setCardRoundClockComm(BigDecimal cardRoundClockComm) {
        this.cardRoundClockComm = cardRoundClockComm;
    }

    public Integer getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(Integer projectNature) {
        this.projectNature = projectNature;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public String getStaffNum() {
        return staffNum;
    }

    public void setStaffNum(String staffNum) {
        this.staffNum = staffNum;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getBrandNumber() {
        return brandNumber;
    }

    public void setBrandNumber(String brandNumber) {
        this.brandNumber = brandNumber;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public String getRoomHandNum() {
        return roomHandNum;
    }

    public void setRoomHandNum(String roomHandNum) {
        this.roomHandNum = roomHandNum;
    }

    public Integer getRenew() {
        return renew;
    }

    public void setRenew(Integer renew) {
        this.renew = renew;
    }

    public String getPracticalServicingTime() {
        return practicalServicingTime;
    }

    public void setPracticalServicingTime(String practicalServicingTime) {
        this.practicalServicingTime = practicalServicingTime;
    }

    public Integer getOvertime() {
        return overtime;
    }

    public void setOvertime(Integer overtime) {
        this.overtime = overtime;
    }

    public BigDecimal getOvertimeMoney() {
        return overtimeMoney;
    }

    public void setOvertimeMoney(BigDecimal overtimeMoney) {
        this.overtimeMoney = overtimeMoney;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getRoomNum() {
        return roomNum;
    }

    public void setRoomNum(String roomNum) {
        this.roomNum = roomNum;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public Long getRoomHandId() {
        return roomHandId;
    }

    public void setRoomHandId(Long roomHandId) {
        this.roomHandId = roomHandId;
    }

    public Date getServiceStartDate() {
        return serviceStartDate;
    }

    public void setServiceStartDate(Date serviceStartDate) {
        this.serviceStartDate = serviceStartDate;
    }

    public Integer getCashNumber() {
        return cashNumber;
    }

    public void setCashNumber(Integer cashNumber) {
        this.cashNumber = cashNumber;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    public String getCard() {
        return card;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getMinumumPrice() {
        return minumumPrice;
    }

    public void setMinumumPrice(BigDecimal minumumPrice) {
        this.minumumPrice = minumumPrice;
    }

    public BigDecimal getPriceMember() {
        return priceMember;
    }

    public void setPriceMember(BigDecimal priceMember) {
        this.priceMember = priceMember;
    }

    public BigDecimal getMinumumPriceMember() {
        return minumumPriceMember;
    }

    public void setMinumumPriceMember(BigDecimal minumumPriceMember) {
        this.minumumPriceMember = minumumPriceMember;
    }

    public BigDecimal getTransactionPrice() {
        return transactionPrice;
    }

    public void setTransactionPrice(BigDecimal transactionPrice) {
        this.transactionPrice = transactionPrice;
    }

    public Integer getNumberTimes() {
        return numberTimes;
    }

    public void setNumberTimes(Integer numberTimes) {
        this.numberTimes = numberTimes;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getCollectionCashAmount() {
        return collectionCashAmount;
    }

    public void setCollectionCashAmount(BigDecimal collectionCashAmount) {
        this.collectionCashAmount = collectionCashAmount;
    }

    public BigDecimal getCollectionIntegralAmount() {
        return collectionIntegralAmount;
    }

    public void setCollectionIntegralAmount(BigDecimal collectionIntegralAmount) {
        this.collectionIntegralAmount = collectionIntegralAmount;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public Integer getGiveIntegral() {
        return giveIntegral;
    }

    public void setGiveIntegral(Integer giveIntegral) {
        this.giveIntegral = giveIntegral;
    }

    public BigDecimal getCollectionRechargeAmount() {
        return collectionRechargeAmount;
    }

    public void setCollectionRechargeAmount(BigDecimal collectionRechargeAmount) {
        this.collectionRechargeAmount = collectionRechargeAmount;
    }

    public BigDecimal getCollectionGiftAmount() {
        return collectionGiftAmount;
    }

    public void setCollectionGiftAmount(BigDecimal collectionGiftAmount) {
        this.collectionGiftAmount = collectionGiftAmount;
    }

    public BigDecimal getCashAmount() {
        return cashAmount;
    }

    public void setCashAmount(BigDecimal cashAmount) {
        this.cashAmount = cashAmount;
    }

    public BigDecimal getAchievementLarge() {
        return achievementLarge;
    }

    public void setAchievementLarge(BigDecimal achievementLarge) {
        this.achievementLarge = achievementLarge;
    }

    public BigDecimal getAchievementZhonggong() {
        return achievementZhonggong;
    }

    public void setAchievementZhonggong(BigDecimal achievementZhonggong) {
        this.achievementZhonggong = achievementZhonggong;
    }

    public BigDecimal getAchievementTechnician() {
        return achievementTechnician;
    }

    public void setAchievementTechnician(BigDecimal achievementTechnician) {
        this.achievementTechnician = achievementTechnician;
    }

    public Long getCourseAccountId() {
        return courseAccountId;
    }

    public void setCourseAccountId(Long courseAccountId) {
        this.courseAccountId = courseAccountId;
    }

    public BigDecimal getAchievementSmall() {
        return achievementSmall;
    }

    public void setAchievementSmall(BigDecimal achievementSmall) {
        this.achievementSmall = achievementSmall;
    }

    public BigDecimal getCommissionLarge() {
        return commissionLarge;
    }

    public void setCommissionLarge(BigDecimal commissionLarge) {
        this.commissionLarge = commissionLarge;
    }

    public BigDecimal getCommissionZhonggong() {
        return commissionZhonggong;
    }

    public void setCommissionZhonggong(BigDecimal commissionZhonggong) {
        this.commissionZhonggong = commissionZhonggong;
    }

    public BigDecimal getCommissionTechnician() {
        return commissionTechnician;
    }

    public void setCommissionTechnician(BigDecimal commissionTechnician) {
        this.commissionTechnician = commissionTechnician;
    }

    public BigDecimal getCommissionSmall() {
        return commissionSmall;
    }

    public void setCommissionSmall(BigDecimal commissionSmall) {
        this.commissionSmall = commissionSmall;
    }

    public BigDecimal getCardAchievementLarge() {
        return cardAchievementLarge;
    }

    public void setCardAchievementLarge(BigDecimal cardAchievementLarge) {
        this.cardAchievementLarge = cardAchievementLarge;
    }

    public BigDecimal getCardAchievementZhonggong() {
        return cardAchievementZhonggong;
    }

    public void setCardAchievementZhonggong(BigDecimal cardAchievementZhonggong) {
        this.cardAchievementZhonggong = cardAchievementZhonggong;
    }

    public BigDecimal getCardAchievementTechnician() {
        return cardAchievementTechnician;
    }

    public void setCardAchievementTechnician(BigDecimal cardAchievementTechnician) {
        this.cardAchievementTechnician = cardAchievementTechnician;
    }

    public BigDecimal getCardAchievementSmall() {
        return cardAchievementSmall;
    }

    public void setCardAchievementSmall(BigDecimal cardAchievementSmall) {
        this.cardAchievementSmall = cardAchievementSmall;
    }

    public BigDecimal getCardCommissionLarge() {
        return cardCommissionLarge;
    }

    public void setCardCommissionLarge(BigDecimal cardCommissionLarge) {
        this.cardCommissionLarge = cardCommissionLarge;
    }

    public BigDecimal getCardCommissionZhonggong() {
        return cardCommissionZhonggong;
    }

    public void setCardCommissionZhonggong(BigDecimal cardCommissionZhonggong) {
        this.cardCommissionZhonggong = cardCommissionZhonggong;
    }

    public BigDecimal getCardCommissionTechnician() {
        return cardCommissionTechnician;
    }

    public void setCardCommissionTechnician(BigDecimal cardCommissionTechnician) {
        this.cardCommissionTechnician = cardCommissionTechnician;
    }

    public BigDecimal getCardCommissionSmall() {
        return cardCommissionSmall;
    }

    public void setCardCommissionSmall(BigDecimal cardCommissionSmall) {
        this.cardCommissionSmall = cardCommissionSmall;
    }

    public String getTechnicianOneNumber() {
        return technicianOneNumber;
    }

    public void setTechnicianOneNumber(String technicianOneNumber) {
        this.technicianOneNumber = technicianOneNumber;
    }

    public Long getServiceTechnicianOneStaffId() {
        return serviceTechnicianOneStaffId;
    }

    public void setServiceTechnicianOneStaffId(Long serviceTechnicianOneStaffId) {
        this.serviceTechnicianOneStaffId = serviceTechnicianOneStaffId;
    }

    public String getServiceTechnicianOneStaffName() {
        return serviceTechnicianOneStaffName;
    }

    public void setServiceTechnicianOneStaffName(String serviceTechnicianOneStaffName) {
        this.serviceTechnicianOneStaffName = serviceTechnicianOneStaffName;
    }

    public String getServiceTechnicianOneIdentityCard() {
        return serviceTechnicianOneIdentityCard;
    }

    public void setServiceTechnicianOneIdentityCard(String serviceTechnicianOneIdentityCard) {
        this.serviceTechnicianOneIdentityCard = serviceTechnicianOneIdentityCard;
    }

    public BigDecimal getServiceTechnicianOneAchievementAmount() {
        return serviceTechnicianOneAchievementAmount;
    }

    public void setServiceTechnicianOneAchievementAmount(BigDecimal serviceTechnicianOneAchievementAmount) {
        this.serviceTechnicianOneAchievementAmount = serviceTechnicianOneAchievementAmount;
    }

    public BigDecimal getServiceTechnicianOneCommissionAmount() {
        return serviceTechnicianOneCommissionAmount;
    }

    public void setServiceTechnicianOneCommissionAmount(BigDecimal serviceTechnicianOneCommissionAmount) {
        this.serviceTechnicianOneCommissionAmount = serviceTechnicianOneCommissionAmount;
    }

    public BigDecimal getServiceTechnicianOneRatio() {
        return serviceTechnicianOneRatio;
    }

    public void setServiceTechnicianOneRatio(BigDecimal serviceTechnicianOneRatio) {
        this.serviceTechnicianOneRatio = serviceTechnicianOneRatio;
    }

    public BigDecimal getPaymentAmount() {
        return paymentAmount;
    }

    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    public String getSettlementNum() {
        return settlementNum;
    }

    public void setSettlementNum(String settlementNum) {
        this.settlementNum = settlementNum;
    }

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

//    public Integer getOrder() {
//        return order;
//    }
//
//    public void setOrder(Integer order) {
//        this.order = order;
//    }

    public Date getServiceEndDate() {
        return serviceEndDate;
    }

    public void setServiceEndDate(Date serviceEndDate) {
        this.serviceEndDate = serviceEndDate;
    }

    public String getServicingTime() {
        return servicingTime;
    }

    public void setServicingTime(String servicingTime) {
        this.servicingTime = servicingTime;
    }

    public Long getInputId() {
        return inputId;
    }

    public void setInputId(Long inputId) {
        this.inputId = inputId;
    }

    public String getInputBy() {
        return inputBy;
    }

    public void setInputBy(String inputBy) {
        this.inputBy = inputBy;
    }

    public Date getInputDate() {
        return inputDate;
    }

    public void setInputDate(Date inputDate) {
        this.inputDate = inputDate;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getDocDate() {
        return docDate;
    }

    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    public Integer getDocState() {
        return docState;
    }

    public void setDocState(Integer docState) {
        this.docState = docState;
    }

    public Integer getNoDiscount() {
        return noDiscount;
    }

    public void setNoDiscount(Integer noDiscount) {
        this.noDiscount = noDiscount;
    }

    public String getProjectNum() {
        return projectNum;
    }

    public void setProjectNum(String projectNum) {
        this.projectNum = projectNum;
    }

    @JsonIgnore
    public String getTab(){
        return DateUtils.YMFormat(docDate);
    }
}

